DisableIntegration
curl --request POST \
--url https://developer.synq.io/api/integrations/v1/{integration_id}/disable \
--header 'Authorization: Bearer <token>'import requests
url = "https://developer.synq.io/api/integrations/v1/{integration_id}/disable"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://developer.synq.io/api/integrations/v1/{integration_id}/disable', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"integration": {
"id": "<string>",
"title": "<string>",
"disabled": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"etag": "<string>",
"config": {
"athena": {
"accessKey": {
"accessKeyId": "<string>",
"secretAccessKey": "<string>"
},
"region": "<string>",
"workgroup": "<string>",
"useShowCreateTable": true,
"useShowCreateView": true,
"fetchQueryLogs": true,
"useIcebergMetricsScan": true,
"scope": {
"include": [
{
"database": "<string>",
"schema": "<string>",
"table": "<string>"
}
],
"exclude": [
{
"database": "<string>",
"schema": "<string>",
"table": "<string>"
}
]
}
}
},
"outputs": {
"athena": {
"accountId": "<string>",
"principalArn": "<string>"
}
},
"capabilities": {
"canPatch": true,
"canRefresh": true,
"canDisable": true,
"canEnable": true,
"canDelete": true,
"isDwh": true,
"canReconcileDeploy": true
}
}
}synq.integrations.v1.IntegrationsService
DisableIntegration
Disable an integration without deleting it. The configuration is kept but the integration is no longer scheduled or refreshed. No-op if already disabled.
POST
/
api
/
integrations
/
v1
/
{integration_id}
/
disable
DisableIntegration
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Id of the integration to disable (UUID).
Response
200 - application/json
Success
Response from disabling an integration.
The integration after disabling.
Show child attributes
Show child attributes
⌘I